Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.digest
Class SHA256

    java.lang.Object
      com.mindbright.jca.security.MessageDigestSpi
          com.mindbright.jca.security.MessageDigest
              com.mindbright.security.digest.MD512BitBlock
                  com.mindbright.security.digest.SHA256

All Implemented Interfaces:
  java.lang.Cloneable

public final class SHA256
extends MD512BitBlock

Field Summary
`static int` | `DIGEST_LENGTH`

Fields inherited from class com.mindbright.security.digest.MD512BitBlock
`buffer, count, digestLength, md4_padding, rest`

Fields inherited from class com.mindbright.jca.security.MessageDigest
`algorithm, provider`

Constructor Summary
`SHA256()`

Method Summary
`protected MD512BitBlock` | `cloneInternal()`
`protected int` | `engineDigest(byte[] dest, int off, int len)`
`protected void` | `engineReset()`
`protected void` | `transform(byte[] data, int offset)`

Methods inherited from class com.mindbright.security.digest.MD512BitBlock
`clone, engineDigest, engineGetDigestLength, engineUpdate, engineUpdate, rotateLeft`

Methods inherited from class com.mindbright.jca.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIGEST_LENGTH

    public static final int DIGEST_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### SHA256

    public SHA256()

Method Detail

### transform

    protected void transform(byte[] data,
                             int offset)

  Specified by:
    `transform` in class `MD512BitBlock`

### cloneInternal

    protected MD512BitBlock cloneInternal()

  Specified by:
    `cloneInternal` in class `MD512BitBlock`

### engineReset

    protected void engineReset()

  Specified by:
    `engineReset` in class `MessageDigestSpi`

### engineDigest

    protected int engineDigest(byte[] dest,
                               int off,
                               int len)
                        throws DigestException

  Overrides:
    `engineDigest` in class `MessageDigestSpi`
  Throws:
    `DigestException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD